Texa Desk Application API · Reports
Get outgoing messages count grouped by entity
GET/
Get the count of outgoing messages grouped by a specified entity (agent, team, inbox, or label). When grouped by agent, messages sent by bots (AgentBot, Texa AI::Assistant) are excluded.
Note: This API endpoint is available only in Texa Desk version 4.11.0 and above.
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Query parameters
sincestringThe timestamp from where report should start (Unix timestamp).
untilstringThe timestamp from where report should stop (Unix timestamp).
group_bystringrequiredThe entity to group outgoing message counts by.
Responses
200Success
idnumberThe ID of the grouped entity (agent, team, inbox, or label).
namestringThe name of the grouped entity.
outgoing_messages_countnumberThe total number of outgoing messages for this entity in the given time range.
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring